#
# Virtual Traces Experiment Software Distribution.
# This code is licensed under GPL v2, and is copyright (C) Jack Whitham 2008.
# See PATCH_NOTE.
#

import capture_metas, examine, controller, os, glob, shutil, sys

L_VALUES = range(5, 0, -1)

def Main():
    for i in L_VALUES:
        capture_metas.MAX_META_INST_LENGTH = i
        rc = controller.Main(i) 
        if ( rc != 0 ):
            return rc

        dst = 'L%u' % i
        try:
            os.mkdir(dst)
        except:
            pass

        for name in glob.glob('*_*.txt'):
            # Don't keep _1 files (huge traces...)
            if ( not name.endswith('_1.txt') ):
                shutil.move(name, dst)
    return 0

if ( __name__ == "__main__" ):
    sys.exit(Main())

